Subject: [Uri-review] URI Review for HELDS URI

From: Cullen Jennings <[email-masked]>
Date: Wed, 23 Apr 2008 14:35:05 -0400

The following ID contains a new URI scheme:

http://tools.ietf.org/html/draft-ietf-geopriv-http-location-delivery-07

Could folks please review this and sends comments before May 18th.

Thanks, Cullen

_______________________________________________
Uri-review mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/uri-review

---

From: "Frank Ellermann" <[email-masked]>
Date: Thu, 24 Apr 2008 00:06:30 +0200

> http://tools.ietf.org/html/draft-ietf-geopriv-http-location-delivery-07

Hi, I tried to understand what this memo does.

== namespace ==
In 12.1 it creates an URN for the namespace,
specifying a (minimal) XHTML page in the XML
section of the registration template.

Apparently IANA does not use this as intended,
they publish the complete templates as text:

http://www.iana.org/assignments/xml-registry/ns/common-policy.txt
http://www.iana.org/assignments/xml-registry/ns/contact-1.0.txt

The latter says "XML: None.  Namespace URIs do
not represent an XML specification."  In some
cases there are no templates at all, examples:

urn:ietf:params:xml:ns:asnx
urn:ietf:params:xml:ns:caldav

If the whole point of this exercise is to get
a row in in the namespace table, then the 4th
column already is a pointer to the reference,
and IANA doesn't support the creation of XHTML
pages of registration templates in the third
column. 

== schema ==
Apparently chapter 7 could be merged into 12.2.
If BEGIN and END in chapter 12.1 help, then it
might also help in chapter 7 (?)

<http://www.w3.org/2001/03/webdata/xsv> reported
no error for the extracted schema.

== application/held+xml ==
Reviewed on the types list, "LIMITED USE" noted.

== errors ==
12.4 is apparently a registry of error codes for
the held:errorType in the schema, seeded with
seven codes specified in section 6.3.

== URI scheme ==
Finally 12.5 is the helds URI scheme registration.
For the syntax s/see section/see section 8/.  

The memo does not say that relative helds URIs are
not used, maybe it should (?)

I don't see immediately what a "helds" resource is,
is that a kind of redirection ?  "http" already has
redirections, I guess I miss the point.

AFAIK "IETF tree" is a historic term, the memo can
simply say "change controller: IETF", for an RfC 
on standards track the consequences are obvious.

 [RFC 4395 chapter 2.1]
| New URI schemes SHOULD have clear utility to the 
| broad Internet community, beyond that available
| with already registered URI schemes.

How does that fly with "LIMITED USE" for the MIME
type, what's the difference of "held" URIs from say
"http" ?  Is the limitation in 6.5 (locationUriSet)
to offer only one resource per scheme related to
the creation of an entirely new scheme ?

 Frank